Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceScreen

All Superinterfaces:
  IUserInterfaceNode

Deprecated. This class is only supported for DHTML UIs Implemented by user interface objects that provide capabilities needed by functional companions to interact with screens. Oracle Configurator Runtime Behavior:

public interface IUserInterfaceScreen
extends IUserInterfaceNode

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`BOM_CONTROL, BUTTON, CHECK_BOX, COMBO_BOX, CONNECT_OPTION, CONNECTOR, CONNECTOR_LIST, DECIMAL_FIELD, IMAGE, INTEGER_FIELD, LABEL, LOGIC_COUNT_BOX, MODEL_INSTANCE, MODEL_INSTANCES_BOX, OPTION, RESOURCE_FIELD, SCREEN, SELECTION_LIST, SELECTION_LIST_MUTEX, TARGET_COMPONENT, TEXT_FIELD, TOTAL_FIELD, TREELINK, UINODE`

Method Summary
`com.sun.java.util.collections.List` | `getControls()` Deprecated.
`com.sun.java.util.collections.List` | `getNode(oracle.apps.cz.cio.IRuntimeNode rtNode)` Deprecated.
`com.sun.java.util.collections.List` | `getNode(java.lang.String id)` Deprecated.
`void` | `navigate()` Deprecated. Request the IUserInterface to display the screen to the user as part of the response the user's request.
`java.lang.String` | `renderNavigateEvent()` Deprecated. Provides the text of the UI event to navigate to this screen.
`java.lang.String` | `renderNavigateScript(java.lang.String fullFramePath)` Deprecated. Provides the script to navigate to this screen.

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`getName, getRuntimeNode, getType, getUiCaption`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### getControls

    public com.sun.java.util.collections.List getControls()

  Deprecated.

### getNode

    public com.sun.java.util.collections.List getNode(java.lang.String id)
                                               throws NoSuchUiNodeException

  Deprecated.
    `NoSuchUiNodeException`

### getNode

    public com.sun.java.util.collections.List getNode(oracle.apps.cz.cio.IRuntimeNode rtNode)
                                               throws NoSuchUiNodeException

  Deprecated.
    `NoSuchUiNodeException`

### navigate

    public void navigate()

  Deprecated.
  Request the IUserInterface to display the screen to the user as part of the response the user's request. Oracle Configurator Runtime Behavior: This request will overwrite any previous request to navigate. If the ComponentTree style is being displayed then its tree will be kept in synch. However, any navigation buttons in any other frame will not be synchronized by the user interface. This need, if desired, is the responsibility of the fc writer.

### renderNavigateEvent

    public java.lang.String renderNavigateEvent()

  Deprecated.
  Provides the text of the UI event to navigate to this screen. This can be used to construct responses for outputToFrame that can not be covered by renderNavigateScript. Oracle Configurator Runtime Behavior: Returns the text that is required by the Oracle Configurator Runtime to execute a screen change.

### renderNavigateScript

    public java.lang.String renderNavigateScript(java.lang.String fullFramePath)

  Deprecated.
  Provides the script to navigate to this screen. This will be used in conjunction with html/JS streamed to frame by the outputToFrame method.
  Parameters:
    `fullFramePath` - - the path to and including czSrc.js Oracle Configurator Runtime Behavior: Returns the href tag syntax that is required by the Oracle Configurator Runtime to execute a screen change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.